
 ============================
 === THE ELECTRONIC GAMER ===
 ============================

 POOL OF RADIANCE Walkthru

 INTRODUCTION

 POOL OF RADIANCE is Strategic Simulations' first AD&D CRPG set in the
Forgotten Realms. I played version 1.0 on a Commodore 64.

 The following walkthru is an attempt to provide the most necessary
information to help POR players solve the game. It does not attempt to be
as detailed as the marvelous clue book published by TSR and S.S.I.

 You create six adventurers (See "Creating Adventurers" below), and they
are deposited in New Phlan. New Phlan is a small, civilized area of Phlan,
governed by a city council. This council hires adventurers to clear the
rest of the city of monsters so that all of it can be civilized.

 These monsters are under the rule of a mysterious "Boss." Your objective
is to liberate the city from monsters, discover the identity of the boss,
and defeat him in battle. Once the "Boss" has been defeated, you've won the
game, even if you haven't killed all -- or even the majority -- of the
monsters!

 The graphics are seen from the point of view of your adventurers within
the city, and specific locations outside. There is an overhead map view of
the wilderness outside.

 The many battles your adventurers will have are viewed in a separate,
generic location. All the characters are animated icons that can be
arranged to engage in sword fighting, arrow shooting, fireball throwing,
etc. Either the battles are fought between you and the computer, or the
computer handles it all in "Quick" mode. I recommend "Quick" mode, except
when your adventurers get in trouble; in this instance, hit the space bar
to control them individually.

 The game involves a series of individual adventures. Most of these
adventures are given to you by the Clerk of the City Council as
"Commissions." There are other adventures. In the Taverns, you will run
across rumors that you can investigate. I recommend that after mapping New
Phlan, you first clear the Slums. Then clear Sokol Keep, Kuto's Well, Podol
Plaza, Cadorna Textile Hous The Library, Kovel Mansion, The Wealthy, and,
finally, the Temple of Kane. Find the Dragon; go on the subsequent
adventures to find nomads, kobolds, and an efreeti; then, clear the
graveyard. Finish up with the Wilderness commissions you haven't done; then
take on the Gate and the Castle! See the map in your Adventurer's Journal
(page 26).

 CREATING ADVENTURERS

 I had good results with a human cleric, a human fighter, a half-elf
cleric/fighter, two elf magic-users/fighters, and one elf
fighter/thief/magic user. I could have done better!

 My two magic-users/fighters were female, and this caused a problem until I
found Gauntlets of Power. Female elves are only allowed 16 maximum
strength; the Gauntlets improved them to the male maximum of 18.

 Also, my half-elf cleric was not able to go up in spell levels as far as
his human counterpart. Look at the race limitations carefully before making
your selections! (It's on the back cover of your manual.)

 Generally, you need two clerics, at least two magic-users, a thief, and at
least four fighters. The best way of getting all of this is to use races
that can be fighters as well as magic-users.

 You are allowed to change your attributes in the beginning of the game. I
gave all of my characters maximum attributes; I was glad I did! There are
very few opportunities to increase the characters' attributes within the
game.

 NEW PHLAN

 (The following reports were written by my human cleric and alter-ego,
"Preacher." The coordinates are based on 0-15 maps. 0-0 starts at the
northwest corner, with the horizontal location listed first.)

 We found a map of New Phlan. (Note: It's provided on the cover of your
Adventurer's Journal.) Using that map we explored the city and labeled the
various buildings. The first thing we needed to find was an Inn. We were
tired after the long sea voyage to Phlan. The guards are certainly strict
about enforcing the "no loitering" signs posted all over. Several times we
tried to camp in the streets, but the watch rousted us each time. We didn't
argue with them; we just moved on.

 Eventually, we found several Inns in the southwest (4-12) section. We also
found many shops (open only in the daytime) where we were able to change
our gold pieces into platinum (11-12). The Inns charged a single platinum
piece for a stay. They wouldn't take anything else.

 We found a Jewelry Shop (8-10). Its entrance was inside another shop
(9-10). We had heard that there was a place to exchange heavy gold for
light jewelry and wanted to know where it was, anticipating the riches we
were going to earn!

 We picked up plenty of gossip at the various taverns in town (8-9). We
also got into a few out-and-out brawls. They were great fun, however, with
everyone in the place joining in. We needed the experience because we were
all so young and didn't have many spells or skills.

 We went to the Hiring Hall (7-2) and hired another fighter, who agreed to
work with us for one share. A hero also was looking for work. But because
he was much more experienced than we were, he talked us into four shares
for his services. We took him, but it rankled!

 Several of our mage/fighters had a couple of duels and usually ended up
needing healing. We earned a few extra gold pieces, but it really wasn't
worth it!

 We found various rooms around the training hall that were willing to train
us all to higher levels of proficiency, and to teach us a few spells. But
they said that first we'd have to get some experience! (Note: On page 35 of
the Adventurer's Journal you can find out how much experience is needed for
which level.)

 We looked the Temples over, but they were so expensive, and I was
perfectly able -- along with the other cleric we had with us -- to do the
healing we needed after battles. (As long as no one got killed!) None of
them offered any rates cheaper than any other, either.

 We learned very quickly not to fight with any of the guards in Phlan. We
heard at the taverns that if you did, you'd probably get killed; even if
you won, the shopkeepers wouldn't sell anything to you, nor would the
Temples heal you until you had finished a mission.

 We met a nice young lady who was the clerk for the city council (5-5). She
gave us our first commission, and promised a nice reward if we completed
it. The commission? To clear the Slums of monsters. We marched forward with
relish!

 THE SLUMS

 The eight of us had an easy time of it in the first few blocks of the
Slums. We encountered some Orcs and a Goblin Armsmaster with his students.
The Wiz threw a detect magic spell on what we thought was just some of
their junk, and it turned out to be treasure! We had our fortune told by a
Gypsy (we wisely didn't attack her), and we found a little bit of treasure
in a stable. But there was an illusionary wall up in the northwest corner
(0-0), where we found a lot more treasure.

 We met a magic user called Ohlo (13-10), who sent us to the Rope Guild to
get a potion for him. We found the man with the potion (15-12), told him
Ohlo sent us, and he gave it to us. We returned it and were well paid for
the job.

 We killed off Kobolds, Hobgoblins, Monster Guards, and Monster Leaders.
Wiz and Wuz (the two magic-users/fighters) used sleep spells on some very
tough Goblin Guards' archers. It seemed like the fighting would never end
at times

 We encountered some very large Trolls and Ogres tossing things around
(0-14). It was touch-and-go at first, but Lance (our human fighter) came up
with tactics that saved the day. He and the hero held the front line, while
Slye (the thief/fighter/magic-user) and the hired Fighter knocked their
arrows and peppered the Trolls. They left the Ogres alone; the fact that
the Ogres were between the Trolls and us was the only thing keeping us
alive! Wiz and Wuz also used their bows on the Trolls after they ran out of
spells. Breed (the half-elf fighter/cleric) and I kept the front rank
healed with spells as well as we could; the Ogres were giving them quite a
pounding. Finally, we killed the Trolls, then quickly finished off the
Ogres. I stomped on the dead Trolls and hammered them with my mace so they
couldn't regenerate. It was bloody, disgusting work, but somebody had to do
it!

 (Note: If you have mapped this block completely, and have had 15 random
encounters, the section is considered cleared.)

 SOKOL KEEP

 After some well-earned rest back in the civilized sector, we collected our
reward from the City Clerk, and received a new Commission: Sokol Keep. We
looked on the map and knew that it was on an island -- a short boat trip
away from Phlan. We went to the docks and booked passage.

 Sokol Keep turned out to be a foreboding, lonely place! Outside the main
gate we found the bones of a dead elf (6-13). Since a goodly number of us
were elves, this caused some consternation. On the body, we found a scroll
with three words written on it. They translated as LUX, SHESTNI, and
SAMOSUD.

 We entered the Keep and were quickly beset by patrols of undead warriors!
We tried out the words on the scroll by parlaying [sic] with the warriors,
and found that SHESTNI satisfied them and sent them away. (Note: After
speaking wit Martinez, only SAMOSUD will work.) But we were too
bloodthirsty to be long satisfied with this and finally started butchering
them. I found that a dispel worked just fine, and Breed also used it.
Finally, after killing off our fourth Patrol, we were allowed to camp and
rest in peace

 As we entered a room (8-5) just north of the Altar room, we were assaulted
by what seemed like thousands of Orcs and Hobgoblins! We found out later
that this was a force sent by the Boss to stop us from clearing the Keep.
Once more we found sleep spells worked well enough on enemy archers and the
front ranks to allow us to kill every last one of them. But we were
fortunate to have the help of the hero and fighter; otherwise, I don't
think we could have done it!

 When we arrived at the altar (7-9), a specter materialized and identified
himself as Ferran Martinez. We used LUX to parlay with him, and then told
him the truth when he asked about the state of the city. He told us about a
secret treasure room, which we found in the northwest corner of the Armory
(15-0). We walked through another of those illusionary walls (15-2). There
were other haunts we found in another room (6-2) who -- with the aid of LUX
-- helped us find even more treasure!

 All in all, the Keep was an enriching experience. But a sad thing happened
in the big Orc battle. The hero got himself killed, but we felt much better
after we took his weapons, stripped him of some expensive plate armor, and
threw his body in a ditch. At least he wouldn't be demanding four shares
any longer.

 I healed the hired Fighter; when we finally got back to the training hall,
we all trained to higher levels -- he even paid for his own training!

 (Note: The Keep is considered cleared once Ferran Martinez has been told
the truth. The shipping lanes will also be open to traffic. If you leave
the Keep before telling the truth to Martinez, the Undead Patrols will be
reset.)

 KUTO'S WELL AND PODOL PLAZA

 We got a commission to secretly attend an auction in Podol Plaza. On the
way, we passed through the block known as Kuto's Well. Later we would
explore Kuto's Well more thoroughly, but this time we just passed through
it.

 (Note: There is not much of interest in Kuto's Well, except for the Well
itself. It's the entrance to the catacombs where one may find Norris the
Gray and his bandit horde. Defeating Norris clears the block. There is some
treasure under a hag's rug, but there's a much larger treasure elsewhere in
the catacombs.)

 We disguised ourselves and found the auction right in the middle of the
block (7-4). We didn't want to get too close for fear of being recognized.
We were able to get the information we came for, then we left.

 When we returned to clear the block, we found a secret temple (2-15) which
was helpful for healing our wounds while we were clearing the Textile
House. (The entrance doors are at 3-13 and 3-15. They are opened with
bashing, picking, or knock spells.)

 There wasn't anything else of interest in Podol except for a bar called
The Pit (3-8). There we met a buccaneer, whose magic items we won in a
duel!

 (Note: Podal Plaza is considered cleared after ten random encounters. It
cannot be cleared while on a mission.)

 CADORNA TEXTILE HOUSE

 We must have been doing an impressive job of clearing the city: Councilman
Cadorna personally gave us our next commission. Another adventurer had been
sent down to the Textile House to recover the Councilman's family treasure,
but he never made it back. Our job was to go rescue the missing adventurer
(if he was still alive), and get the treasure.

 Our first stop was at a well we found in the northwest section (0-3).
Thinking it might lead to catacombs like Kuto's Well did, we started to
climb down. It turned out to be a dry well all right, but only Slye was
able to make the dangerous climb down the well. It led to the headquarters
of the Thieves Guild! Because we were on a mission for Cadorna, the guild
master took us -- via tunnels -- under the city to another well inside the
Textile House compound (5-11). He told us to contact him again after we got
the treasure, and he might be of further help.

 In the first building we entered (3-11), we killed a Priestess who had a
key that freed the adventurer we were sent to find. His name was
Skullcrusher. He joined our party and helped us fight many a battle. He
also helped us find the box of treasure (through a secret door at 11-14).

 We took the box back to the Thieves Guild, the guild master opened the box
for us, and cleverly resealed it after giving us the contents. He took a
share for himself, but since we were also rewarded by Cadorna for returning
the treasure box (seal intact), it was worth it! Besides, we were beginning
to think that Cadorna smelled fishy, and that stealing from him wasn't
really like stealing.

 Skullcrusher left us as soon as we got to the city hall. It was probably a
good thing he did, since we couldn't trust him.

 (Note: Defeating the ogre leader and having ten random encounters clears
the area. If the seal has been obviously broken on the box, Cadorna greets
the party with angry words and threats at City Hall.)

 MANTOR'S LIBRARY

 We had tried to get into the Library door earlier, but either Sly didn't
have enough experience yet to pick the lock, or we weren't strong enough to
bash it in; this time it opened readily enough (a knock spell works just
fine).

 We found several books of value. In the History Section we found "Lex
Geographica," "History of the North," and "Grand Historian's Records of the
Arts of War." In the philosophy section we found "Fyerdeth's Discourses on
Power" and "Urgund's Descriptions of Darkness." We also picked up a book on
health which turned out to be worth 25,000 gold pieces! It contained a
spell that improved your constitution, but since we were all strong and
healthy, we sold it.

 We quickly killed a basilisk (5-4) before he could stone any of us. A
specter librarian confronted us as we tried to leave with the stolen books,
but a dispel hurt him enough that we were able to kill him without trouble.

 WEALTHY AREA AND TEMPLE OF BANE

 (Note: Neither block is considered cleared until you win the fights in the
Mansion and defeat Mace's followers in the Temple.)

 We were sent to Bishop Braccio in the Temple of Tyr, who gave us the
assistance of Dristan, a 6th level gnome cleric. Our job was to clear the
Temple Of Bane across the river, and find the lost artifacts of Il-Mater.

 We took a boat over to the Wealthy Area, and fought our way through a
Mansion in the center of the area. There was hidden treasure in almost
every room of the Mansion! In one of the rooms, we found some Goblin Slaves
who had some information that was important. We met several followers of
Bane. We killed a couple and took a Leather Symbol from their bodies.

 This Leather Symbol came in handy when we tried to enter the Temple of
Bane. A blind orc felt us to see if we had the leather symbol. Upon finding
it, he let us in.

 In the Temple we searched the whole interior and found three caches of
treasure (5-5, 9-12, and 12-9)! We were attacked by Mace and a horde of his
followers. This was a very tough battle, and poor noble Dristan lost his
life. (Note: If Dristan lives, he will remain at the Temple to begin
rebuilding.) We destroyed the disgusting altar before we left. Dristan
would have liked that.

 KOVEL MANSION

 (Note: You cannot rest in Kovel until all the thieves have been cleared
out.)

 Just north of the Wealthy Area was Kovel Mansion. We had a commission for
clearing that block out, too. So, we rested, healed, and went after the
thieves we knew to infest the place.

 We were ambushed by thieves who would get in their licks and then run
away. We found that it was better for us if we didn't follow them; so, we
just plodded along, exploring each room carefully as we went. There were
many traps, ambushes, and much treasure! There was also much information.
Some of it was about Cadorna, whom we were now sure wasn't to be trusted!
But was he the Boss? That we didn't know yet.

 After clearing Kovel, we took a peek in the Graveyard. We had a Commission
to clear it out, but it didn't take long to decide to get a little more
experience first...elsewhere! The graveyard was much too dangerous. So, we
took the first boat back to the safety of an Inn in the civilized sector.
Besides, we had some business in the shops: getting rid of all that heavy
gold and treasure; getting more training; getting drunk!

 THE WILDERNESS

 Following up on some things we'd overheard in the bars, we took a boat to
t west and hunted for the Silver Dragon. We found him (10-9), and after a
few nervous moments, we found out he was on our side! He directed us to
visit a Kobold cave due east to find a silver bottle.

 Along the way, we found a camp of Nomads (12-11). They seemed friendly
enough, so we stopped over. One of our Commissions was to deal with the
possibility that the nomads might join with the Boss. Now was a good time
to check this out! But they were attacked by an army of Kobolds while we
were there. We helped out with the fighting (which was considerable -- the
Kobolds attacked in three different waves). In return for our aid, we got a
lot of experience by fighting next to these noble warriors, and a lot of
treasure! We also got a pledge from the Nomad Chief not to join with the
Boss, so we fulfilled this mission, too!

 We found the Kobold Cave another day's march east of the Nomad camp
(6-15). There were two entrances. We took the entrance to the left (the
small cave).

 Inside, we carefully mapped the maze. Along the way we found Princess
Fatima who was being held prisoner. She joined us, and proved to be a
ferocious fighter! We also found many traps, a Wyvern (whose main entrance
was the large cave entrance), and, eventually, the throne room of the King.
We were attacked by three waves of assorted monsters! (Use Continue Combat
for a round or two in between battles to heal, for there is no chance to
rest between waves.) We won those hard-fought battles, and chased the King
to another room, where he had chosen to die by his own hand, the coward!

 We found the bottle the Silver Dragon sent us to find (12-0), but it was
brass, not silver: The Dragon was color blind! The bottle held an efreeti
who questioned us. We told him the truth, and he said he would help us
later when we fought the vampire in the graveyard.

 Princess Fatima said farewell as we left the cave. Lance was very sad to
see her go. The rest of us were content with our new found treasures.

 (Note: When the King is found dead, the mission has been fulfilled.)

 We found Sorcerer's Island (6-16) by following the river north. We
searched around Lake Kuto and found a rowboat on the shore of the lake. We
rowed across the lake to the island and entered the Pyramid. Inside we
found a long hall wall with two doors. One of the doors led to a room with
a transporter; next to it was a pile of stones. Experimenting with this
transporter, we found that by throwing a stone into it, it would reset. We
moved down the hall, and turned right at the intersection, and moved to the
end of the hall. Here we found more stones and another transporter. We
threw a stone and teleported. We moved down this next hallway, threw a
stone, teleported again, and found ourselves on the third level of the
Pyramid. The password over the door -- written in Dethek -- reads NOTNOW.

 (Note: This is only true on the Commodore 64 version; the password is
NOKNOK on other versions.)

 We said the password, moved through the door, and found ourselves in a
room full of machinery. We broke the machinery, and immediately ran out of
the room. And none too soon, for we heard a tremendous explosion through
the door!

 We went back in and found some captured lizard men in one room. After we'd
parlayed and talked to them in a nice manner, they told us their friend
word: SAVIOR.

 We finally found Yarash and his Mutant Lizard Man guard. After defeating
the two of them, we found another teleporter. We found that the first three
settings caused the teleporter to work both to and from Yarash's secret
treasure rooms; the final setting teleported us back to the first hallway
on the main level.

 The second teleport on the main level is a trap. We were sent one way into
a maze where many mutant creatures were trapped. They attacked us after
greeting us with smiles. A priest who had gone crazy showed us a secret way
out of the maze.

 (Note: The Pyramid is considered cleared after destroying the machinery
and defeating Yarash.)

 Armed with the Lizard friend word, we were able to fulfill another
mission: to eliminate the lizard men threatening the city. We found their
Keep in the Eastern Wilderness (11-8). Because we had the friend word, we
were met by the chieftain, and wound up representing the old reptile in a
duel for leadership of the tribe. Lance easily defeated their selected
challenger, and the chieftain pledged not to support the Boss.

 (Note: It is also possible to kill all the lizards in the Keep by
exploring the catacombs under the keep, and swimming in all of the pools
found there. Some of them have valuable treasure, including a +2 Shield!
Either tactic fulfills the mission.)

 We rescued the young heir to the house of Bivant next. He had been
captured by Buccaneers, and kept in their base camp in the Western
Wilderness (12-31). (Note: This camp can only be found after being
commissioned to rescue the young heir; once the rescue has been completed,
it cannot be entered again.)

 We found the boy easily enough in the camp, and could have escaped by
starting a stampede of the penned-up animals. But Lance admired the armor
and weapons of the captain, and we ended up killing every pirate in the
camp! He now has the Captain's armor and weapons

 (Note: Rescuing the heir fulfills the mission.)

 Our last Commission in the Western Wilderness took us to Zhentil Keep.
This mission was given to us by Cadorna. We suspected a trap; so, when we
were given rooms for the night after a dinner with the Commandant (in which
we tried to pump each other for information), we stayed awake, armed and
ready. Sure enough, we were attacked by the traitorous Commandant's forces
in the middle of the night, and eventually had to kill him and many, many
waves of soldiers in order to get out of the Keep.

 (Note: It is possible to escape via the front gate without extensive
battles if you escape early enough. Escaping the Keep fulfills the
mission.)

 VAHLINGEN GRAVEYARD

 Back at the City Hall, we learned that Cadorna was now sought for being
the dirty traitor he was, and we were even given a Commission to find and
kill him. (The coward had fled the city!) But first, after collecting all
our rewards, we decided to finally clear the graveyard.

 This was my toughest test. I found (as did the other spellcasters) that it
was helpful to cast Protection From Evil and Prayer right before a battle
in such places as the Mummies Crypt (10-11), and a room (1-13) filled with
poison gas. The various specters (and indeed, many of the monsters) we
defeated with Dispel. There were also several places where we improved our
armor and weapons with found treasures (8-2). We found an evil magic-user,
but we refused his help. (Note: He turns against you when you fight the
Vampire.)

 We eventually found and fought the Vampire in two different places. First,
we found a secret entrance through a wall (15-1). It was here we defeated
the Vampire the first time. We immediately went to his Crypt (12-3) where,
with the efreeti's help, we defeated him for the second and last time.

 (Note: Save the game often, and leave the graveyard to rest and heal. It
is possible to restore levels to a character who has been drained of levels
with the aid of a scroll spell, but it is not advised. Many experience
points are lost, and every level lost also costs you the training for that
level. You must go back for re-training to regain those levels and to learn
lost spells.)

 STOJANOW GATE

 We sensed that we were now powerful enough to look for the Boss. We knew
he was beyond Stojanow Gate, so we stormed the Gate. We fought bugbears and
ettins, and defeated all in our path. We did have to use knock spells to
get through the Gate itself; otherwise, we were strong, indeed!

 (Note: It is possible to use finesse. During the daylight hours a merchant
with a wagon will sell it. Use this as a disguise so that you can sneak
past the bugbears, and take the guards in the towers by surprise. Once the
Gate has been cleared, guards from the city of Phlan hold the Gate open.)

 VALJEVO CASTLE

 We were hot on the trail of Tyranthaxus, and our final adventure took us
into the central tower of his castle. (Note: The Castle is divided into
four sections. The first section that you enter is the southwest Section.)

 We found a laundry room in the far southeast corner of the southwest
section (12-13). There, we were able to disguise ourselves and avoid being
challenged by Giant Patrols. We found a Smithy (3-14), from whom we could
steal armor at night. We found a Bane chapel, which is best left alone:
Within were a few coins and two swords, but they smelled of Bane, which
would have cursed us if we had taken them. Instead, we killed the Priest
and took his magic necklace. Each bead was a fireball spell!

 In the southeast section we found gates to the castle (12-8) and the cell
containing Cadorna (14-11). He'd been chained and beaten by Tyranthaxus's
men. He pleaded for us to release him, so we did: We released him from
life. After all, the city council had posted a reward for doing so! (Note:
If you free him, he will follow the group from behind and give the password
to get through the castle gates: RHODIA.)

 Once through the southeast gates, we used some maps we had found to trace
our way through the hedge maze. (Note: The southeast part of the maze is
shown on page 19 of the Adventurer's Journal, the northeast section on page
29, and the northwest section on page 42. The maze on page 19 is
inaccurately drawn. There really is a path clear through to the northeast
section.)

 We found a door into the central tower in the southeast section, but it
only contained an impostor claiming to be Tyranthaxus! So, we put the maps
together, went north from the southeast part to the northeast part, then
west into the northwest part. There we found a back door to the tower.
Immediately to our right, we found an illusionary wall that hid a stairway
up into the tower.

 We avoided the room with the trap door (there is a Medusa below who can
stone you with her gaze), and after parlaying with some messengers who
worked for Genheeris, we found Genheeris in his office, killed him, and
went into Tyranthraxus' lair. He was beside the pool in his dragon form!

 We had a very tough battle, with our Fighter joining Tyranthraxus and his
men in a fight against us to the death. We won, and live to tell this
story.

 FINAL NOTES

 If you enter the castle via the northwest gates, there are a series of
teleporters which, if used, will also take you to Tyranthraxus.

 There are two guard posts in the northwest and northeast sectors where
Parlaying Meek and using the password HARASH, will allow you to escape
without a battle.

 There are various tactical ways to defeat the creatures you'll encounter.
Choosing the correct way of Parlaying will get your party out of many
battles. For starters, choose Abusive with Trolls, Zentarian Patrols,
Thri-Kreen, and Driders.

 There are other adventures that aren't a part of winning the game. For
instance, in the southwest part of the Western Wilderness, you can find the
lair of the Thri-Kreen (the Insect People). Because it is a lair, it moves
an is difficult to find -- as are lairs of other creatures that can be
found in various other parts of the Wilderness. So, if you think you've
done it all, you haven't! There are still adventures to be had even after
Tyranthraxus has been defeated: Happy hunting!

 POOL OF RADIANCE is published by Strategic Simulations, Inc. and
distributed by Electronic Arts.

 This walkthru is copyright (c) 1989 by Andy Backer and THE ELECTRONIC
GAMER (tm). All rights reserved. Not to be distributed without permission.
